<div class="brands_footer">
<ul id="double">
<?php foreach($this->getBrands() as $brand): ?>
    <li><a href="<?php echo Mage::getBaseUrl() ?>catalogsearch/result/?q=<?php echo $brand ?>"><?php echo $brand ?></a></li>
<?php endforeach ?>
</ul>
</div>

<style>
    .brands_footer ul{
        overflow:hidden;
    }
    .brands_footer li{
        float:left;
        display:inline;
    }
    #double li  { width:50%;}
</style>